import { Connect } from '@genesislcap/foundation-comms';
import { FASTElement } from '@microsoft/fast-element';
import { DatasourceFieldOptions, DatasourceOptions, ReportField, WizardContent } from './wizard.types';
export declare class Wizard extends FASTElement {
    connect: Connect;
    debug: boolean;
    activeTab: number;
    datasourceOptions: DatasourceOptions;
    datasourceFieldOptions: DatasourceFieldOptions;
    isEdit: boolean;
    fieldData: ReportField[];
    report: any;
    saveReport: any;
    content: WizardContent;
    datasourceSettings: any;
    reportName: string;
    reportDescription: string;
    selectedDatasource: string;
    selectedFields: ReportField[];
    selectedFilters: any[];
    previewData: any[];
    previewGridColumns: any[];
    get isFormValid(): boolean;
    reportChanged(old: any, newValue: any): Promise<void>;
    setFields(fields: any): void;
    selectedDatasourceChanged(old: any, newValue: any): Promise<void>;
    fieldDataChanged(): void;
    connectedCallback(): void;
    getNormalizedSelectedFields: () => string[];
    getNormalizedSelectedFilters: () => any[];
    private getDatasources;
    private fetchFieldsFromDatasource;
    onDatasourceChange: (selection: any) => void;
    getData: () => {
        REPORT_NAME: string;
        REPORT_DESCRIPTION: string;
        REPORT_COLUMNS: ReportField[];
        REPORT_DATA_SOURCE: string;
    };
    setActiveTab: (tabIndex: any) => void;
}
//# sourceMappingURL=wizard.d.ts.map