import { html, repeat, ref } from '@microsoft/fast-element';
import { REPORT_COLUMN_DEFS } from './columns';
export const ListTemplate = html `
  <zero-grid-pro
    ${ref('grid')}
    floatingFiltersHeight="44"
    floatingFilter="true"
    only-template-col-defs
    rowSelection="multiple"
    suppressRowClickSelection
    suppressRowTransform
  >
    <grid-pro-genesis-datasource resourceName="ALL_SAVED_REPORTS" />
    ${repeat((x) => REPORT_COLUMN_DEFS(x), html `
        <grid-pro-column :definition="${(x) => x}"></grid-pro-column>
      `)}
    <grid-pro-column :definition=${(x) => x.actionsMenuSlottedConfig}></grid-pro-column>
  </zero-grid-pro>
`;
