export function filterObjectArray(accessor, baseArray, removalArray) {
    if (!accessor) {
        return baseArray;
    }
    const removalKeys = new Set(removalArray.map((object) => object[accessor]));
    return [...baseArray.filter((object) => !removalKeys.has(object[accessor]))];
}
